import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { addStoryInGroup, LOW_LEVEL_BLOCKS } from '../../../.storybook/utils';
import { IconAddSmallOutline } from '@teamleader/ui-icons';
import BadgedLink from './BadgedLink';
export default {
  component: BadgedLink,
  title: addStoryInGroup(LOW_LEVEL_BLOCKS, 'BadgedLink')
};
export var DefaultStory = function DefaultStory(args) {
  return /*#__PURE__*/React.createElement(BadgedLink, _extends({}, args, {
    icon: /*#__PURE__*/React.createElement(IconAddSmallOutline, null)
  }), "I am a badged link");
};
DefaultStory.args = {
  href: 'https://www.teamleader.be',
  inherit: false,
  target: '_blank'
};